<?php

namespace Database;

class AnalyzeGateway
{
    private Connexion $connection;

    public function __construct(Connexion $connection) {
        $this->connection = $connection;
    }

    public function getFrequenceCardiaque() {
        $query = "SELECT * FROM FrequenceCardiaque";
        return $this->connection->executeWithErrorHandling($query);
    }
    public function getFrequenceCardiaqueByIdActivity(int $activityId)
    {
        $query = "SELECT * FROM FrequenceCardiaque WHERE activiteid = :id";
        $params = [':id' => $activityId];
        return $this->connection->executeWithErrorHandling($query, $params);
    }

}