<?php

namespace Database;

use Shared\Log;

class EntrainementGateway
{
    private Connexion $connection;

    public function __construct(Connexion $connection) {
        $this->connection = $connection;
    }

    public function getEntrainements(): array
    {
        $query = "SELECT * FROM Entrainement";
        $res = $this->connection->executeWithErrorHandling($query);
        return $res;
    }
}