<?php

namespace Database;

use Shared\Log;

class AnalyzeMapper
{
    public function analyzeSqlToEntity(array $data):array
    {
        $analyzeEntities = [];

        foreach ($data as $analyzeData) {
            $analyze = new ActivityEntity();

            if (isset($analyzeData['idactivite'])) {
                $analyze->setIdActivity($analyzeData['idactivite']);
            }

            if (isset($analyzeData['type'])) {
                $analyze->setType($analyzeData['type']);
            }

            if (isset($analyzeData['date'])) {
                $analyze->setDate($analyzeData['date']);
            }

            if (isset($analyzeData['heurededebut'])) {
                $analyze->setHeureDebut($analyzeData['heurededebut']);
            }

            if (isset($analyzeData['heuredefin'])) {
                $analyze->setHeureFin($analyzeData['heuredefin']);
            }

            if (isset($analyzeData['effortressent'])) {
                $analyze->setEffortRessenti($analyzeData['effortressent']);
            }

            if (isset($analyzeData['variabilite'])) {
                $analyze->setVariabilite($analyzeData['variabilite']);
            }

            if (isset($analyzeData['variance'])) {
                $analyze->setVariance($analyzeData['variance']);
            }

            if (isset($analyzeData['ecarttype'])) {
                $analyze->setEcartType($analyzeData['ecarttype']);
            }

            if (isset($analyzeData['moyenne'])) {
                $analyze->setMoyenne($analyzeData['moyenne']);
            }

            if (isset($analyzeData['maximum'])) {
                $analyze->setMaximum($analyzeData['maximum']);
            }

            if (isset($analyzeData['minimum'])) {
                $analyze->setMinimum($analyzeData['minimum']);
            }

            if (isset($analyzeData['temperaturemoyenne'])) {
                $analyze->setTemperatureMoyenne($analyzeData['temperaturemoyenne']);
            }

            $analyzeEntities[] = $analyze;
        }
        return $analyzeEntities;
    }

    /**
     * @throws \Exception
     */
//    public function ActivityEntityToModel(ActivityEntity $activiteEntity):Activity {
//        $date = new DateTime($activiteEntity->getDate());
//        $heureDebut = new \DateTime($activiteEntity->getHeureDebut());
//        $heureFin = new \DateTime($activiteEntity->getHeureFin());
//        $effortRessenti = intval($activiteEntity->getEffortRessenti());
//        $variability = floatval($activiteEntity->getVariability());
//        $variance = floatval($activiteEntity->getVariance());
//        $ecartType = floatval($activiteEntity->getEcartType());
//
//        $act = new Activity(
//            $activiteEntity->getIdActivity(),
//            $activiteEntity->getType(),
//            $date,
//            $heureDebut,
//            $heureFin,
//            $effortRessenti,
//            $variability,
//            $variance,
//            $ecartType,
//            $activiteEntity->getMoyenne(),
//            $activiteEntity->getMaximum(),
//            $activiteEntity->getMinimum(),
//            $activiteEntity->getTemperatureMoyenne(),
//            'false'
//        );
//
//        return $act;
//    }
    //public function ActivityToEntity(Activity model): ActivityEntity;

//    public function activityToEntity( $act):ActivityEntity{
//
//        $act = new ActivityEntity();
//        $act->setIdActivity($act->getIdActivity()());
//        $act->setType($act->getType());
//        $act->setDate($act->getDate());
//        $act->setHeureDebut($act->getHeureDebut());
//        $act->setHeureFin($act->getHeureFin());
//        $act->setEffortRessenti($act->getEffortRessenti());
//        $act->setVariabilite($act->getVariability());
//        $act->setVariance($act->getVariance());
//        $act->setEcartType($act->getEcartType());
//        $act->setMoyenne($act->getMoyenne());
//        $act->setMaximum($act->getMaximum());
//        $act->setMinimum($act->getMinimum());
//        $act->setTemperatureMoyenne($act->getTemperatureMoyenne());
//
//        return $act;
//    }
}