INSERT INTO Friendship (idAthlete1, idAthlete2, debut) VALUES
   (3, 4, '2023-01-01'),
   (3, 5, '2023-01-12');

INSERT INTO Notification (idNotif, message, date, statut, urgence, athleteId) VALUES
  (1, 'Training session at 10 AM', '2023-03-10', TRUE, 1, 1),
  (2, 'Training session at 3 PM', '2023-05-10', TRUE, 1, 2);

INSERT INTO Statistique (idStatistique, poids, fcMoyenne, fcMax, caloriesBruleesMoy, date, athleteId) VALUES
  (1, 70, 80, 150, 500, '2023-03-10', 1),
  (2, 86, 95, 170, 896, '2023-04-13', 3);

INSERT INTO Entrainement (idEntrainement, date, description, latitude, longitude, feedback, athleteId) VALUES
   (1, '2023-03-10', 'Long run in the park', 40.7128, -74.0060, 'Good effort', 1),
   (2, '2023-04-13', 'Long run in the forest', 44.7128, -70.0060, 'Pretty good effort', 3);

INSERT INTO Participe (athleteId, entrainementId) VALUES
  (1, 1),
  (3, 2);

INSERT INTO SourceDonnee (idSource, type, modele, precision2, athleteId) VALUES
    (1, 'Heart Rate Monitor', 'HRM-Pro', 98.5, 1);

INSERT INTO Activite (idActivite, type, date, heureDeDebut, heureDeFin, effortRessent, variabilite, variance, ecartType, moyenne, maximum, minimum, temperatureMoyenne, athleteId, sourceId) VALUES
    (1, 'Running', '2023-03-10', '08:00:00', '09:00:00', 3, 0.5, 1, 0.1, 140, 160, 120, 20, 1, 1),
    (2, 'Running Forest', '2023-04-13', '10:00:00', '12:00:00', 5, 0.5, 1, 0.1, 140, 160, 120, 20, 1, 1);
